import request from '@/utils/request'

// 查询40R设备规格参数列表
export function listSpec40r(query) {
  return request({
    url: '/system/spec40r/list',
    method: 'get',
    params: query
  })
}

// 查询40R设备规格参数详细
export function getSpec40r(id) {
  return request({
    url: '/system/spec40r/' + id,
    method: 'get'
  })
}

// 新增40R设备规格参数
export function addSpec40r(data) {
  return request({
    url: '/system/spec40r',
    method: 'post',
    data: data
  })
}

// 修改40R设备规格参数
export function updateSpec40r(data) {
  return request({
    url: '/system/spec40r',
    method: 'put',
    data: data
  })
}

// 删除40R设备规格参数
export function delSpec40r(id) {
  return request({
    url: '/system/spec40r/' + id,
    method: 'delete'
  })
}
